Skip to main content
`Ctrl`+`K`

# DMForestGetAdaptivityStrategy

Get the strategy for combining adaptivity labels from multiple processes.

## Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetAdaptivityStrategy(DM dm, DMForestAdaptivityStrategy *adaptStrategy)

Not Collective

## Input Parameter

- dm - the forest

## Output Parameter

- adaptStrategy - the adaptivity strategy (default `DMFORESTADAPTALL`)

## Note

Subtypes of `DMFOREST` may define their own strategies. Two default strategies are `DMFORESTADAPTALL`, which indicates that all processes must agree for a refinement/coarsening flag to be valid, and `DMFORESTADAPTANY`, which indicates that only one process needs to specify refinement/coarsening.

## See Also

`DM`, `DMFOREST`, `DMFORESTADAPTALL`, `DMFORESTADAPTANY`, `DMForestSetAdaptivityStrategy()`

## Level

advanced

## Location

src/dm/impls/forest/forest.c

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages